Subject: Re: [PATCH 1/4] SUNRPC: use passed network namespace context in rpc_parse_scope_id()

From: Stanislav Kinsbursky <[email-masked]>
Date: Mon, 12 Dec 2011 20:18:05 +0400

12.12.2011 20:07, J. Bruce Fields пишет:
> On Mon, Dec 12, 2011 at 08:03:45PM +0400, Stanislav Kinsbursky wrote:
>> 09.12.2011 00:47, J. Bruce Fields пишет:
>>> On Wed, Dec 07, 2011 at 03:20:16PM +0300, Stanislav Kinsbursky wrote:
>>>> Use incomming network context in rpc_parse_scope_id() instead of hard-coded
>>>
>>> Changelogs are a little confusing; I might have said "allow
>>> rpc_parse_cope_id() caller to pass in network context instead of using
>>> hard-code "init_net"."
>>
>> Probably, you variant is better. My English is not good enough to
>> write descriptive and, in the same time, clear and short comments to
>> patches.
>
> Uh, and mine's got a problm or two as well.  ("hard-code" should be
> "hard-coded" in the above.)
>
> My main complaint was just that "incoming network context" sounds like
> it refers to the network context associated with an incoming rpc
> request.  But actually all you're doing is using the network context
> passed in by the caller.
>
> --b.

Yep, agreed.
I'll resend next patch set version with better comments.

-- 
Best regards,
Stanislav Kinsbursky